// BandpassDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dsp.h"
#include "BandpassDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBandpassDlg dialog


CBandpassDlg::CBandpassDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CBandpassDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBandpassDlg)
	m_ApplyTo = -1;
	m_KernelSize = 512;
	m_WindowType = 0;
	m_Cutoff1 = 0;
	m_Cutoff2 = 1000;
	m_Freq1 = _T("");
	m_Freq2 = _T("");
	//}}AFX_DATA_INIT
}


void CBandpassDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBandpassDlg)
	DDX_CBIndex(pDX, IDC_APPLYTO, m_ApplyTo);
	DDX_Text(pDX, IDC_KERNELSIZE, m_KernelSize);
	DDV_MinMaxInt(pDX, m_KernelSize, 16, 1024);
	DDX_Radio(pDX, IDC_WINDOWTYPE, m_WindowType);
	DDX_Text(pDX, IDC_CUTOFF1, m_Cutoff1);
	DDV_MinMaxInt(pDX, m_Cutoff1, 0, m_HalfRate);
	DDX_Text(pDX, IDC_CUTOFF2, m_Cutoff2);
	DDV_MinMaxInt(pDX, m_Cutoff2, 0, m_HalfRate);
	DDX_Text(pDX, IDC_STATICFREQ1, m_Freq1);
	DDX_Text(pDX, IDC_STATICFREQ2, m_Freq2);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CBandpassDlg, CDialog)
	//{{AFX_MSG_MAP(CBandpassDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBandpassDlg message handlers

BOOL CBandpassDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	if (!m_ApplyTo)
	{
		CComboBox *cb = (CComboBox *)GetDlgItem(IDC_APPLYTO);
		cb->DeleteString(1);
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
