#ifndef _RAY_H_
#define _RAY_H_
#include "vector.h"

class Ray {
  public:
    Vector org, dir;
    Ray() { }
    Ray(Vector org, Vector dir)
    {
      Ray::org = org;
      Ray::dir = dir;
    }
    Ray(Ray& ray)
    {
      org = ray.org;
      dir = ray.dir;
    }
    Vector Point(double dist)
    {
      return org + dir * dist;
    }
};

#endif