// CalcEffectDlg.cpp : implementation file
//

#include "stdafx.h"
#include "3deditor.h"
#include "CalcEffectDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCalcEffectDlg dialog


CCalcEffectDlg::CCalcEffectDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCalcEffectDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCalcEffectDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CCalcEffectDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCalcEffectDlg)
	DDX_Control(pDX, IDC_SAVE, m_Save);
	DDX_Control(pDX, IDC_PROGRESS, m_Progress);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCalcEffectDlg, CDialog)
	//{{AFX_MSG_MAP(CCalcEffectDlg)
	ON_BN_CLICKED(IDC_CALCULATE, OnCalculate)
	ON_BN_CLICKED(IDC_SAVE, OnSave)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCalcEffectDlg message handlers

BOOL CCalcEffectDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_Save.EnableWindow(false);
	m_Progress.SetRange(0, 100);
	m_Progress.SetPos(0);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CCalcEffectDlg::OnCalculate() 
{
	// TODO: Add your control notification handler code here
	m_Scene->CalcEffect(&m_Progress/*m_DC*/);
	m_Save.EnableWindow();	
	m_Progress.SetPos(0);
}

void CCalcEffectDlg::OnSave() 
{
	// TODO: Add your control notification handler code here
	CFileDialog s(false, "e3d", NULL, OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		" 3D  (*.e3d)|*.e3d|  (*.*)|*.*||",
		this);

	if (s.DoModal() != IDOK) return;

	CFile f(s.GetPathName(), CFile::modeCreate | CFile::modeWrite);
	CArchive ar(&f, CArchive::store);

	m_Scene->SaveEffect(ar);
	
	ar.Close();
	f.Close();
}
