// SceneParamsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "3deditor.h"
#include "SceneParamsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSceneParamsDlg dialog


CSceneParamsDlg::CSceneParamsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSceneParamsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSceneParamsDlg)
	//}}AFX_DATA_INIT
}


void CSceneParamsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	int t;
	//{{AFX_DATA_MAP(CSceneParamsDlg)
	DDX_Text(pDX, IDC_ABLIMIT, m_Params.AbLimit);
	DDV_MinMaxDouble(pDX, m_Params.AbLimit, 0., 1.7e+308);
	DDX_Text(pDX, IDC_AMPLIMIT, m_Params.AmpLimit);
	DDV_MinMaxDouble(pDX, m_Params.AmpLimit, 0., 1.);
	DDX_Text(pDX, IDC_GROUPSIZE, m_Params.GroupSize);
	DDV_MinMaxDouble(pDX, m_Params.GroupSize, 1., 100.);
	t = m_Params.IgnoreAb;
	DDX_Check(pDX, IDC_IGNOREAB, t);
	m_Params.IgnoreAb = (t == 1);
	t = m_Params.IgnoreSpec;
	DDX_Check(pDX, IDC_IGNORESPEC, t);
	m_Params.IgnoreSpec = (t == 1);
	t = m_Params.Normalize;
	DDX_Check(pDX, IDC_NORMALIZE, t);
	m_Params.Normalize = (t == 1);
	DDX_Text(pDX, IDC_NUMRAYS, m_Params.NumRays);
	DDV_MinMaxInt(pDX, m_Params.NumRays, 10, 1000);
	DDX_Text(pDX, IDC_SCENEAB, m_Params.SceneAb);
	DDV_MinMaxDouble(pDX, m_Params.SceneAb, 0., 1.7e+308);
	DDX_Text(pDX, IDC_TIMELIMIT, m_Params.TimeLimit);
	DDV_MinMaxDouble(pDX, m_Params.TimeLimit, 10., 10000.);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSceneParamsDlg, CDialog)
	//{{AFX_MSG_MAP(CSceneParamsDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSceneParamsDlg message handlers
